
QGIS Application - Bug report #19827

GetFeatureInfo on "value relation" widget with array field (multiple selections) Bug - Test added

2018-09-12 08:17 AM - Tudor Bărăscu

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: QGIS Server

Affected QGIS version:3.3(master) Regression?: No

Operating System: Debian Buster Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27651

Description

Test already in:

tests/src/python/test_qgsserver_wms_getfeatureinfo.py

with

@unittest.expectedFailure

    # TODO make GetFeatureInfo show the dictionary values and enable test

    @unittest.expectedFailure

    def testGetFeatureInfoValueRelationArray(self):

        """Test GetFeatureInfo on "value relation" widget with array field (multiple selections)""" 

        mypath = self.testdata_path + "test_project_values.qgz" 

        self.wms_request_compare('GetFeatureInfo',

                                 '&layers=layer3&styles=&' +

                                 'VERSION=1.3.0&' +

                                 'info_format=text%2Fxml&' +

                                 'width=926&height=787&srs=EPSG%3A4326' +

                                 '&bbox=912217,5605059,914099,5606652' +

                                 '&CRS=EPSG:3857' +

                                 '&FEATURE_COUNT=10' +

                                 '&WITH_GEOMETRY=True' +

                                 '&QUERY_LAYERS=layer3&I=487&J=308',

                                 'wms_getfeatureinfo-values3-text-xml',

                                 'test_project_values.qgz')

Would have expected to get as a response the values from the array:

*****

Content-Type: text/xml; charset=utf-8

<GetFeatureInfoResponse>

...

  <Feature id="1">

   <Attribute value="1" name="id"/>
   <Attribute value="Id no. 1 value, Id no. 2 value, Id número 3 value" name="location"/>

...

but the server outputs:

...

  <Feature id="1">

   <Attribute value="1" name="id"/>

   <Attribute value=""/>

...

Associated revisions

Revision fe71b495 - 2018-09-16 04:29 PM - Alessandro Pasotti 

[bugfix][server] WMS GFI value relation array fields

Fixes #19827 - GetFeatureInfo on "value relation" widget with array field (multiple selections)

History

#1 - 2018-09-12 08:49 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#2 - 2018-09-16 04:33 PM - Alessandro Pasotti

- Pull Request or Patch supplied changed from No to Yes

- Status changed from Open to In Progress

https://github.com/qgis/QGIS/pull/7914

#3 - 2018-09-17 07:42 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|fe71b4958861d07818b371ac3cc7c7e5e93c2589.
